/* src/index.css */
@import url("https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap");
:root {
    --main: #776d6f;
    --light: #f9f6f7;
    --white: #fff;
    --secondary: #c88187;
    --secondary-op: #776d6fdd;
    --gray: #a6a6a6;
}

* {
    margin: 0;
    padding: 0;
    z-index: 1;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Figtree", inter;
}

body {
    font-family: "Figtree", serif;
    color: var(--main);
    font-weight: 100;
}

a {
    text-decoration: none;
    color: var(--main);
    display: inline-block;
    transition: opacity 0.3s ease;
}

a:hover {
    opacity: 0.8;
}

p {
    line-height: 1.6;
    word-spacing: 0.1em;
}

.secondary {
    color: var(--secondary);
}

p.indent {
    text-indent: 2em;
}
p.bold {
    font-weight: 600;
}

section {
    position: relative;
    width: 100%;
}

ul,
ol {
    padding-left: 24px;
    line-height: 2;
}

.link {
    font-weight: 600;
    text-decoration: underline;
}

.theme-btn {
    position: relative;
    overflow: hidden;
    background-color: var(--light);
    color: var(--main);
    padding: 10px 20px;
    border-radius: 40px;
    transition: all 0.25s ease-out;
    z-index: 2;
    cursor: pointer;
    border: 1px solid var(--light);
}

.theme-btn.secondary {
    background-color: var(--secondary);
    color: var(--light);
    border: 1px solid var(--secondary);
}

.theme-btn::after {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    content: "";
    opacity: 0;
    z-index: -1;
    border-radius: 40px;
    transform: scale(0.2);
    background-color: var(--main);
    transition: all 0.25s ease-out;
}

.theme-btn.secondary::after {
    background-color: var(--secondary);
}

.theme-btn:hover {
    background-color: transparent;
    color: var(--light);
}

.theme-btn.secondary:hover {
    color: var(--secondary);
}

.theme-btn:hover::after {
    opacity: 0.4;
    transform: scale(1);
}

/* header section ============================================================= */
.header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    width: 100%;
    height: 80px;
    /* background-color: #475444; */
    padding: 30px 6%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header.scrolled {
    background-color: var(--secondary-op);
}

.header.active {
    background-color: var(--light);
}
.header li {
    line-height: 1;
}

.header-logo {
    height: 80px;
}
.header-logo img {
    height: 100%;
}

.menu-list {
    display: flex;
    list-style: none;
    gap: 30px;
}

.menu-list .menu-item {
    padding: 10px 5px;
    position: relative;
    color: var(--white);
    transition: 0.4s ease;
}

.menu-list .menu-item::before {
    background-color: var(--light);
    content: "";
    display: block;
    position: absolute;
    height: 3px;
    width: 0;
    bottom: 0;
    transition: all 0.4s cubic-bezier(0.22, 0.68, 0, 1.71);
}
.menu-list .menu-item:hover::before {
    width: 100%;
}

.hamburger {
    display: none;
    cursor: pointer;
    padding: 5px;
    z-index: 100;
    position: relative;
}

.hamburger span {
    display: block;
    width: 28px;
    height: 2px;
    background-color: var(--main);
    margin: 6px 0;
    transition: all 0.4s cubic-bezier(0.22, 0.68, 0, 1.71);
}

.hamburger.active .span-1 {
    transform: rotate(45deg) translate(2px, 3px);
}

.hamburger.active .span-2 {
    transform: rotate(-45deg) translate(3px, -4px);
}

@media screen and (max-width: 1027px) {
    .header-title {
        font-size: 1rem;
    }

    .header.active .hamburger span {
        background-color: var(--main);
    }

    .header.active .header-title {
        color: var(--main);
    }

    .header.active .theme-btn {
        background-color: var(--secondary);
        border-color: var(--secondary);
        color: var(--light);
    }

    .hamburger {
        display: block;
    }

    .hamburger span {
        background-color: var(--light);
    }

    .menu-list {
        display: flex;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        background-color: var(--light);
        padding: 120px 0 50px;
        flex-direction: column;
        align-items: center;
        gap: 26px;
        transform: translateY(-100%);
        transition: all 0.4s ease;
    }

    .menu-list .menu-item {
        color: var(--main);
    }

    .menu-list.active {
        transform: translateY(0);
    }
}

@media screen and (max-width: 680px) {
    .header {
        height: 62px;
        /* background-color: var(--secondary-op); */
    }
    .header-logo {
        height: 50px;
        filter: contrast(0);
    }

    .header.active.scrolled,
    .header-title {
        font-size: 0.9rem;
        font-weight: 700;
        color: var(--main);
    }
    .header.scrolled .header-logo {
        filter: contrast(1);
    }

    .header.scrolled .header-title {
        color: var(--light);
    }

    .menu-list .menu-item {
        font-weight: 600;
    }
    .header.active.scrolled .hamburger span,
    .hamburger span {
        background-color: var(--main);
    }
    .header.scrolled .hamburger span {
        background-color: var(--light);
    }
}

/* banner section ============================================================= */
section.banner {
    position: relative;
    overflow: hidden;
    height: 85vh;
    width: 100%;
}

.banner-img {
    position: absolute;
    width: 100%;
    height: 120%;
    top: 0;
    left: 0;
    z-index: -11;
    object-fit: cover;
    object-position: center;
    filter: brightness(0.9);
    transform: translateY(0);
    will-change: transform;
}
.banner .title img {
    display: none;
}

.banner-title {
    z-index: 2;
    font-size: 4rem;
    position: absolute;
    color: var(--light);
    top: 18%;
    width: 100%;
    text-align: center;
    padding: 0 10px;
    /*top: 50%;*/
    /*left: 6%;*/
    /*width: 500px;*/
    /*transform: translateY(-50%);*/
}

/* @media screen and (max-width: 1027px) {

} */
@media screen and (max-width: 680px) {
    section.banner {
        background-color: var(--light);
        height: auto;
    }
    .banner .title {
        position: relative;
        width: 100%;
        left: 0;
        top: 0;
        height: 200px;
        transform: translateY(0);
        background-color: var(--light);
    }
    .banner-img {
        position: relative;
        background-color: var(--light);
        z-index: 1;
        height: 100%;
    }
    .banner .title h1 {
        z-index: 2;
        font-size: 26px;
        padding: 75px 5% 0;
        text-align: center;
        color: var(--main);
    }

    .banner .title img {
        display: block;
        position: absolute;
        bottom: 0;
        left: -10%;
        z-index: 1;
        height: 65%;
        filter: hue-rotate(20deg) opacity(0.4);
    }
}

/* org section ============================================================= */
.org-section {
    display: flex;
    gap: 5%;
    width: 100%;
    flex-wrap: wrap;
    padding-top: 120px;
    justify-content: center;
}
.org-section img {
    height: 40px;
    margin-bottom: 40px;
}

/* about section ============================================================= */
.section {
    display: flex;
    padding: 10% 10% 0;
    gap: 10%;
    min-height: 70vh;
    background-color: var(--light);
    align-items: center;
    justify-content: space-between;
}

.section .wrapper {
    width: 50%;
}
.section .wrapper.indent > p {
    text-indent: 2em;
    text-align: justify;
}

.section .wrapper p {
    padding-bottom: 10px;
}

.section .title {
    font-size: 3rem;
    padding-bottom: 5%;
}

.section .subtitle {
    font-size: 1.2rem;
    margin-bottom: 2rem;
    line-height: 1.6;
    font-weight: 100;
    font-weight: 600;
}

.about-img {
    max-width: 45%;
    width: 100%;
    height: 80vh;
    object-fit: cover;
    object-position: center;
}

@media screen and (max-width: 1027px) {
    .section {
        flex-direction: column;
        min-height: auto;
    }
    .section .wrapper {
        width: 100%;
        padding-right: 20%;
        padding-bottom: 40px;
    }
    .about-img {
        max-width: 100%;
    }
}

@media screen and (max-width: 680px) {
    .section {
        padding: 0;
        padding-top: 80px;
    }
    .section .wrapper {
        padding: 0 8% 40px;
    }
    .section .title {
        font-size: 3rem;
        font-weight: 400;
        padding-bottom: 20px;
    }
    .section .subtitle {
        font-size: 1.2rem;
        font-weight: 600;
    }
    .section .about-img {
        object-fit: cover;
    }
}
@media screen and (max-width: 480px) {
    .section .subtitle {
        font-size: 12px;
    }
}

/* work with me section ============================================================= */

section.work {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5%;
    background-color: var(--white);
    color: var(--main);
}

.work .title {
    font-size: 2.5rem;
    margin-bottom: 1rem;
    text-align: center;
}

.work .para {
    font-size: 1.2rem;
    margin-bottom: 2rem;
    line-height: 1.6;
    text-align: center;
    max-width: 800px;
}

@media screen and (max-width: 680px) {
    section.work {
        padding: 10% 15%;
    }

    .work .title {
        font-size: 2rem;
    }
    .work .para {
        font-size: 1rem;
        margin-bottom: 40px;
    }
}

/* person section ============================================================= */
.section.person {
    flex-direction: row-reverse;
}

@media screen and (max-width: 1027px) {
    .section.person {
        flex-direction: column;
    }

    .person .about-img {
        height: 520px;
    }
}

/* passionate section ============================================================= */
.section.passionate {
    align-items: flex-start;
    padding-bottom: 5%;
}

/*.additional {*/
/*    position: absolute;*/
/*    top: 10%;*/
/*    width: 36%;*/
/*    right: 5%;*/
/*    filter: opacity(1);*/
/*}*/
.sakura {
    position: absolute;
    bottom: 0;
    left: 5%;
    width: 35%;
    z-index: 0;
    filter: opacity(0.5);
}
.sakura-1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 20%;
    filter: hue-rotate(20deg) opacity(0.6);
    transform: translate(-10%, 0);
}
.work .sakura {
    width: unset;
    height: 100%;
    bottom: -6%;
    right: -6%;
    filter: hue-rotate(20deg) opacity(0.4);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

@media screen and (max-width: 1027px) {
    .work .sakura {
        height: 50%;
        bottom: 30%;
    }
}
@media screen and (max-width: 680px) {
    .work .sakura {
        right: -15%;
        filter: opacity(0.2);
    }
}

/* book section ============================================================= */
.section.book {
    flex-direction: column;
    align-items: center;
    padding-top: 8%;
    padding-bottom: 10%;
    background-color: var(--white);
}
.book .title {
    text-align: center;
    /*width: 500px;*/
}

.book .wrapper {
    width: 100%;
    display: flex;
    gap: 16%;
    padding-bottom: 80px;
    justify-content: center;
    align-items: center;
}

.book .message {
    width: 560px;
    display: flex;
    flex-direction: column;
    align-items: end;
}
.book .contact {
    width: 300px;
}
.book .contact h4 {
    padding: 10px 0;
}
.book .contact p {
    padding-bottom: 0;
}
.line {
    width: 100%;
    border-bottom: 1px solid var(--secondary);
}

.message input,
.message textarea,
.message .row {
    width: 100%;
}
.message .row {
    display: flex;
    gap: 20px;
    width: 100%;
}
.message .content {
    display: flex;
    flex-direction: column;
}
.message .content p {
    font-size: 15px;
    font-weight: 200;
    width: 100%;
    margin-right: auto;
}

.message .content button {
    width: fit-content;
    margin-left: auto;
    margin-top: 20px;
}

input,
textarea {
    display: block;
    border: none;
    outline: none;
    padding: 8px;
    font-size: 16px;
    margin-bottom: 20px;
    color: var(--main);
    transition: 0.4s ease-in;
    border-bottom: 1px solid var(--light);
}

textarea {
    height: 100px;
}

input:focus,
input:hover,
textarea:focus,
textarea:hover {
    border-color: var(--secondary);
}

input::placeholder,
textarea::placeholder {
    font-size: 14px;
    font-weight: 100;
    color: var(--gray);
}

.copy {
    text-align: center;
    padding: 40px 0;
    color: var(--gray);
    font-size: 12px;
}

@media screen and (max-width: 1027px) {
    .book .wrapper {
        padding-right: 0;
    }
}
@media screen and (max-width: 680px) {
    .section.passionate {
        padding-bottom: 10%;
    }
    .section.book {
        padding: 20% 5% 25%;
    }
    .book .wrapper {
        padding: 0;
        flex-direction: column;
    }
    .book .message,
    .book .contact {
        width: 100%;
    }
    .book .message .row {
        gap: 0;
        flex-direction: column;
    }
    .book .message .col {
        flex-direction: column-reverse;
        align-items: center;
        gap: 60px;
    }
    .book .message .note {
        width: 100%;
        padding: 0 10%;
        text-align: center;
    }
    .book .contact {
        padding-top: 80px;
        text-align: center;
    }

    .book .title {
        text-align: left;
        width: 100%;
        font-weight: bold;
        font-size: 36px;
        padding-bottom: 40px;
    }
    .book .box {
        width: 100%;
        gap: 30px;
        padding: 50px 0 80px;
        flex-direction: column;
    }
    .book .box ol {
        padding-left: 0;
    }
    .sakura-1 {
        z-index: 0;
        width: 40%;
    }
}

.snackbar {
    visibility: hidden;
    position: fixed;
    bottom: 5%;
    right: -50%;
    height: fit-content;
    max-width: 500px;
    z-index: 10;
    color: var(--white);
    background: var(--secondary-op);
    text-align: center;
    border-radius: 5px;
    padding: 16px;
    font-size: 16px;
    opacity: 0;
    line-height: 1.6;
    transition: opacity 0.5s, bottom 0.5s;
}
.snackbar.show {
    visibility: visible;
    opacity: 1;
    right: 5%;
}

.insta {
    display: flex;
    gap: 8px;
    align-items: center;
}

@media screen and (max-width: 680px) {
    .snackbar {
        width: 80%;
        max-width: 250px;
        font-size: 12px;
        line-height: 1.4;

    }
    .snackbar.show {
        right: 50%;
        transform: translateX(50%);
    }
    .insta {
        justify-content: center;
    }
    .inge-pict{
        display:none;
    }
    .inge-pict-mobile{
        display:inline !important;
        width:100% !important;
        margin-bottom:20px;
    }
}
.inge-pict-mobile{
        display:none;
    }
@media screen and (min-width: 680px) {
    .faq-question{
        width:800px !important;
    }
}

.inge-pict{
    
}
